/* io.h
 *
 * Copyright (c) 2003-2004 Susan Cotterell.
 * Permission to copy is granted provided that this header remains
 * intact. This software is provided with no warranties.
 *
 * Version : 1.0
 *
 * 8-Bit LCD Interface
 *
 */

/* --------------------------------------------------------------------- */

#ifndef __io_h__
#define __io_h__

#define HIDE_CURSOR	0,25

#define bitset(temp, var,bitno) ((temp) |=1 << (bitno));(var)=(temp)
#define bitclr(temp, var,bitno) ((temp) &= ~(1 << (bitno)));(var)=(temp)

void InitIO(void);
void ClearScreen(void);
void GotoXY(unsigned char r, unsigned char c);
void PutChar(char c);
void PrintString(const char* s);
void EnableLCD(void);
void EnableLCD2(void);

#endif

